/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022KT00.java

*

* Created on 21/09/09 11:07:15

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022KS00 extends Q02bTablaBD implements Q02bITablaBDQ022KS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022KT00_ID_CONT */

    public final static int COLUMN_Q022KT00_ID_CONT = 1;

    /** Constante para la propiedad Q022KT00_ID_CONT */

    public final static String NOMCOLUMN_Q022KT00_ID_CONT = "Q022KT00_ID_CONT";

    /** Constante para la propiedad Q022KT00_ID_CONT */

    public final static int TAM_MAXIMO_Q022KT00_ID_CONT = 8;

    /** Constante para la propiedad Q022KT00_PROV */

    public final static int COLUMN_Q022KT00_PROV = 2;

    /** Constante para la propiedad Q022KT00_PROV */

    public final static String NOMCOLUMN_Q022KT00_PROV = "Q022KT00_PROV";

    /** Constante para la propiedad Q022KT00_PROV */

    public final static int TAM_MAXIMO_Q022KT00_PROV = 2;

    /** Constante para la propiedad Q022KT00_MUNI */

    public final static int COLUMN_Q022KT00_MUNI = 3;

    /** Constante para la propiedad Q022KT00_MUNI */

    public final static String NOMCOLUMN_Q022KT00_MUNI = "Q022KT00_MUNI";

    /** Constante para la propiedad Q022KT00_MUNI */

    public final static int TAM_MAXIMO_Q022KT00_MUNI = 3;

    /** Constante para la propiedad Q022KT00_ID_INF */

    public final static int COLUMN_Q022KT00_ID_INF = 4;

    /** Constante para la propiedad Q022KT00_ID_INF */

    public final static String NOMCOLUMN_Q022KT00_ID_INF = "Q022KT00_ID_INF";

    /** Constante para la propiedad Q022KT00_ID_INF */

    public final static int TAM_MAXIMO_Q022KT00_ID_INF = 8;

    /** Constante para la propiedad Q022KT00_ID_AGEN */

    public final static int COLUMN_Q022KT00_ID_AGEN = 5;

    /** Constante para la propiedad Q022KT00_ID_AGEN */

    public final static String NOMCOLUMN_Q022KT00_ID_AGEN = "Q022KT00_ID_AGEN";

    /** Constante para la propiedad Q022KT00_ID_AGEN */

    public final static int TAM_MAXIMO_Q022KT00_ID_AGEN = 8;

    /** Constante para la propiedad Q022KT00_FECC */

    public final static int COLUMN_Q022KT00_FECC = 6;

    /** Constante para la propiedad Q022KT00_FECC */

    public final static String NOMCOLUMN_Q022KT00_FECC = "Q022KT00_FECC";

    /** Constante para la propiedad Q022KT00_FECC */

    public final static int TAM_MAXIMO_Q022KT00_FECC = 7;

    /** Constante para la propiedad Q022KT00_RCON */

    public final static int COLUMN_Q022KT00_RCON = 7;

    /** Constante para la propiedad Q022KT00_RCON */

    public final static String NOMCOLUMN_Q022KT00_RCON = "Q022KT00_RCON";

    /** Constante para la propiedad Q022KT00_RCON */

    public final static int TAM_MAXIMO_Q022KT00_RCON = 10;

    /** Constante para la propiedad Q022KT00_FECR */

    public final static int COLUMN_Q022KT00_FECR = 8;

    /** Constante para la propiedad Q022KT00_FECR */

    public final static String NOMCOLUMN_Q022KT00_FECR = "Q022KT00_FECR";

    /** Constante para la propiedad Q022KT00_FECR */

    public final static int TAM_MAXIMO_Q022KT00_FECR = 7;

    /** Constante para la propiedad Q022KT00_OBSHR */

    public final static int COLUMN_Q022KT00_OBSHR = 9;

    /** Constante para la propiedad Q022KT00_OBSHR */

    public final static String NOMCOLUMN_Q022KT00_OBSHR = "Q022KT00_OBSHR";

    /** Constante para la propiedad Q022KT00_OBSHR */

    public final static int TAM_MAXIMO_Q022KT00_OBSHR = 250;

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static int COLUMN_Q022HT00_ID_OFI = 10;

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static String NOMCOLUMN_Q022HT00_ID_OFI = "Q022HT00_ID_OFI";

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static int TAM_MAXIMO_Q022HT00_ID_OFI = 8;

    /** Constante para la propiedad Q022YT00_NI_TIPO_CON */

    public final static int COLUMN_Q022YT00_NI_TIPO_CON = 11;

    /** Constante para la propiedad Q022YT00_NI_TIPO_CON */

    public final static String NOMCOLUMN_Q022YT00_NI_TIPO_CON = "Q022YT00_NI_TIPO_CON";

    /** Constante para la propiedad Q022YT00_NI_TIPO_CON */

    public final static int TAM_MAXIMO_Q022YT00_NI_TIPO_CON = 10;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 11;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022KT00_ID_CONT*/

    protected Integer Q022KT00_ID_CONT = null;

    /** Holds value of property Q022KT00_ID_CONT_WHERE */

    protected Integer Q022KT00_ID_CONT_WHERE = null;

    protected boolean Q022KT00_ID_CONT_MODIF = false;

    /** Holds value of property Q022KT00_PROV*/

    protected String Q022KT00_PROV = null;

    /** Holds value of property Q022KT00_PROV_WHERE */

    protected String Q022KT00_PROV_WHERE = null;

    protected boolean Q022KT00_PROV_MODIF = false;

    /** Holds value of property Q022KT00_MUNI*/

    protected String Q022KT00_MUNI = null;

    /** Holds value of property Q022KT00_MUNI_WHERE */

    protected String Q022KT00_MUNI_WHERE = null;

    protected boolean Q022KT00_MUNI_MODIF = false;

    /** Holds value of property Q022KT00_ID_INF*/

    protected Integer Q022KT00_ID_INF = null;

    /** Holds value of property Q022KT00_ID_INF_WHERE */

    protected Integer Q022KT00_ID_INF_WHERE = null;

    protected boolean Q022KT00_ID_INF_MODIF = false;

    /** Holds value of property Q022KT00_ID_AGEN*/

    protected Integer Q022KT00_ID_AGEN = null;

    /** Holds value of property Q022KT00_ID_AGEN_WHERE */

    protected Integer Q022KT00_ID_AGEN_WHERE = null;

    protected boolean Q022KT00_ID_AGEN_MODIF = false;

    /** Holds value of property Q022KT00_FECC*/

    protected java.util.Date Q022KT00_FECC = null;

    /** Holds value of property Q022KT00_FECC_WHERE */

    protected java.util.Date Q022KT00_FECC_WHERE = null;

    protected boolean Q022KT00_FECC_MODIF = false;

    /** Holds value of property Q022KT00_RCON*/

    protected String Q022KT00_RCON = null;

    /** Holds value of property Q022KT00_RCON_WHERE */

    protected String Q022KT00_RCON_WHERE = null;

    protected boolean Q022KT00_RCON_MODIF = false;

    /** Holds value of property Q022KT00_FECR*/

    protected java.util.Date Q022KT00_FECR = null;

    /** Holds value of property Q022KT00_FECR_WHERE */

    protected java.util.Date Q022KT00_FECR_WHERE = null;

    protected boolean Q022KT00_FECR_MODIF = false;

    /** Holds value of property Q022KT00_OBSHR*/

    protected String Q022KT00_OBSHR = null;

    /** Holds value of property Q022KT00_OBSHR_WHERE */

    protected String Q022KT00_OBSHR_WHERE = null;

    protected boolean Q022KT00_OBSHR_MODIF = false;

    /** Holds value of property Q022HT00_ID_OFI*/

    protected Integer Q022HT00_ID_OFI = null;

    /** Holds value of property Q022HT00_ID_OFI_WHERE */

    protected Integer Q022HT00_ID_OFI_WHERE = null;

    protected boolean Q022HT00_ID_OFI_MODIF = false;

    /** Holds value of property Q022YT00_NI_TIPO_CON*/

    protected Long Q022YT00_NI_TIPO_CON = null;

    /** Holds value of property Q022YT00_NI_TIPO_CON_WHERE */

    protected Long Q022YT00_NI_TIPO_CON_WHERE = null;

    protected boolean Q022YT00_NI_TIPO_CON_MODIF = false;

    /** Holds value of property auditUser. */

    protected Long  auditUser = new Long(0);

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "21/09/09 11:07:15";

    protected String columnas[] =  {"Q022KT00_ID_CONT", "Q022KT00_PROV", "Q022KT00_MUNI", "Q022KT00_ID_INF", "Q022KT00_ID_AGEN", "Q022KT00_FECC", "Q022KT00_RCON", "Q022KT00_FECR", "Q022KT00_OBSHR", "Q022HT00_ID_OFI", "Q022YT00_NI_TIPO_CON"};

    protected int tipos[] =  {3, 12, 12, 3, 3, 93, 12, 93, 12, 3, 3};

    protected int longitudes[] =  {8, 2, 3, 8, 8, 7, 10, 7, 250, 8, 10};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022KT00_ID_CONT"};

    protected String columnasFK[] =  {"Q022IT00_ID_INF", "Q022JT00_ID_AGEN"};

    protected String tablasFK[] =  {"Q022IT00", "Q022JT00"};

    protected boolean nullables[] =  {false,false,false,false,true,false,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022KS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022KS00 iTablaBDQ022KS00 = null;

    /** Creates new Q022KT00 */

    public Q02bTablaBDQ022KS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022KS00 */

    public Q02bTablaBDQ022KS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022KS00.setQ022KT00_ID_CONT(null);

        iTablaBDQ022KS00.setQ022KT00_ID_CONT_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_ID_CONT_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_PROV(null);

        iTablaBDQ022KS00.setQ022KT00_PROV_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_PROV_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_MUNI(null);

        iTablaBDQ022KS00.setQ022KT00_MUNI_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_MUNI_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_ID_INF(null);

        iTablaBDQ022KS00.setQ022KT00_ID_INF_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_ID_INF_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_ID_AGEN(null);

        iTablaBDQ022KS00.setQ022KT00_ID_AGEN_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_ID_AGEN_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_FECC(null);

        iTablaBDQ022KS00.setQ022KT00_FECC_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_FECC_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_RCON(null);

        iTablaBDQ022KS00.setQ022KT00_RCON_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_RCON_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_FECR(null);

        iTablaBDQ022KS00.setQ022KT00_FECR_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_FECR_MODIF(false);

        iTablaBDQ022KS00.setQ022KT00_OBSHR(null);

        iTablaBDQ022KS00.setQ022KT00_OBSHR_WHERE(null);

        iTablaBDQ022KS00.setQ022KT00_OBSHR_MODIF(false);

        iTablaBDQ022KS00.setQ022HT00_ID_OFI(null);

        iTablaBDQ022KS00.setQ022HT00_ID_OFI_WHERE(null);

        iTablaBDQ022KS00.setQ022HT00_ID_OFI_MODIF(false);

        iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON(null);

        iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON_WHERE(null);

        iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON_MODIF(false);

        iTablaBDQ022KS00.setNumMaxRegistros(0);

        iTablaBDQ022KS00.setNumInicio(0);

        iTablaBDQ022KS00.setNumFinal(0);

        iTablaBDQ022KS00.setOrderBy(null);

        iTablaBDQ022KS00.setAditionalWhere(null);

        iTablaBDQ022KS00.setInitialWhere(null);

        iTablaBDQ022KS00.setFixedWhere(null);

        iTablaBDQ022KS00.setDistinct(null);

        iTablaBDQ022KS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022KS00";

        iTablaBDQ022KS00.setUncommittedRead(false);

        iTablaBDQ022KS00.setForUpdate(false);

        iTablaBDQ022KS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022KS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022KS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022KS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022KS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022KS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022KS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022KS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022KS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022KS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022KS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022KS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022KS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022KS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022KS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022KS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022KS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022KS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022KS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022KS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022KS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022KS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ022KS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ022KS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ022KS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ022KS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ022KS00.insert();

    }



    /** Setter for property Q022KT00_ID_CONT.

    * @param valor New value of propertyQ022KT00_ID_CONT.

    */

    public void setQ022KT00_ID_CONT(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_CONT=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_CONT(valor);

        }

    }



    public void setQ022KT00_ID_CONT(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_CONT=valor;

        if (valor==null){

             this.Q022KT00_ID_CONT_MODIF=true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_CONT(valor);

           if (valor==null){

                iTablaBDQ022KS00.setQ022KT00_ID_CONT_MODIF(true);

           }

        }

    }



    public void setQ022KT00_ID_CONT_WHERE(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_CONT_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_CONT_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_CONT_WHERE(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_CONT_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_CONT_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_CONT_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_CONT_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_CONT_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_PROV.

    * @param valor New value of propertyQ022KT00_PROV.

    */

    public void setQ022KT00_PROV(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_PROV=valor;

        if (valor==null){

            this.Q022KT00_PROV_MODIF =true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_PROV(valor);

           if (valor==null){

              iTablaBDQ022KS00.setQ022KT00_PROV_MODIF(true);

           }

        }

    }



    public void setQ022KT00_PROV_WHERE(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_PROV_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_PROV_WHERE(valor);

        }

    }



    public void setQ022KT00_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_PROV_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_PROV_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_MUNI.

    * @param valor New value of propertyQ022KT00_MUNI.

    */

    public void setQ022KT00_MUNI(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_MUNI=valor;

        if (valor==null){

            this.Q022KT00_MUNI_MODIF =true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_MUNI(valor);

           if (valor==null){

              iTablaBDQ022KS00.setQ022KT00_MUNI_MODIF(true);

           }

        }

    }



    public void setQ022KT00_MUNI_WHERE(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_MUNI_WHERE(valor);

        }

    }



    public void setQ022KT00_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_MUNI_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_ID_INF.

    * @param valor New value of propertyQ022KT00_ID_INF.

    */

    public void setQ022KT00_ID_INF(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_INF=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_INF(valor);

        }

    }



    public void setQ022KT00_ID_INF(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_INF=valor;

        if (valor==null){

             this.Q022KT00_ID_INF_MODIF=true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_INF(valor);

           if (valor==null){

                iTablaBDQ022KS00.setQ022KT00_ID_INF_MODIF(true);

           }

        }

    }



    public void setQ022KT00_ID_INF_WHERE(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_INF_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_INF_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_INF_WHERE(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_INF_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_INF_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_INF_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_INF_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_INF_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_ID_AGEN.

    * @param valor New value of propertyQ022KT00_ID_AGEN.

    */

    public void setQ022KT00_ID_AGEN(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_AGEN=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_AGEN(valor);

        }

    }



    public void setQ022KT00_ID_AGEN(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_AGEN=valor;

        if (valor==null){

             this.Q022KT00_ID_AGEN_MODIF=true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_AGEN(valor);

           if (valor==null){

                iTablaBDQ022KS00.setQ022KT00_ID_AGEN_MODIF(true);

           }

        }

    }



    public void setQ022KT00_ID_AGEN_WHERE(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_AGEN_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_AGEN_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_AGEN_WHERE(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_AGEN_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_AGEN_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_AGEN_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_ID_AGEN_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_ID_AGEN_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_FECC.

    * @param valor New value of propertyQ022KT00_FECC.

    */

    public void setQ022KT00_FECC(java.util.Date valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_FECC=valor;

        if (valor==null){

            this.Q022KT00_FECC_MODIF =true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_FECC(valor);

           if (valor==null){

              iTablaBDQ022KS00.setQ022KT00_FECC_MODIF(true);

           }

        }

    }



    public void setQ022KT00_FECC_WHERE(java.util.Date valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_FECC_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_FECC_WHERE(valor);

        }

    }



    public void setQ022KT00_FECC_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_FECC_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_FECC_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_RCON.

    * @param valor New value of propertyQ022KT00_RCON.

    */

    public void setQ022KT00_RCON(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_RCON=valor;

        if (valor==null){

            this.Q022KT00_RCON_MODIF =true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_RCON(valor);

           if (valor==null){

              iTablaBDQ022KS00.setQ022KT00_RCON_MODIF(true);

           }

        }

    }



    public void setQ022KT00_RCON_WHERE(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_RCON_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_RCON_WHERE(valor);

        }

    }



    public void setQ022KT00_RCON_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_RCON_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_RCON_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_FECR.

    * @param valor New value of propertyQ022KT00_FECR.

    */

    public void setQ022KT00_FECR(java.util.Date valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_FECR=valor;

        if (valor==null){

            this.Q022KT00_FECR_MODIF =true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_FECR(valor);

           if (valor==null){

              iTablaBDQ022KS00.setQ022KT00_FECR_MODIF(true);

           }

        }

    }



    public void setQ022KT00_FECR_WHERE(java.util.Date valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_FECR_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_FECR_WHERE(valor);

        }

    }



    public void setQ022KT00_FECR_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_FECR_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_FECR_MODIF(valor);

        }

    }



    /** Setter for property Q022KT00_OBSHR.

    * @param valor New value of propertyQ022KT00_OBSHR.

    */

    public void setQ022KT00_OBSHR(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_OBSHR=valor;

        if (valor==null){

            this.Q022KT00_OBSHR_MODIF =true;

        }

        }else{

           iTablaBDQ022KS00.setQ022KT00_OBSHR(valor);

           if (valor==null){

              iTablaBDQ022KS00.setQ022KT00_OBSHR_MODIF(true);

           }

        }

    }



    public void setQ022KT00_OBSHR_WHERE(String valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_OBSHR_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_OBSHR_WHERE(valor);

        }

    }



    public void setQ022KT00_OBSHR_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022KT00_OBSHR_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022KT00_OBSHR_MODIF(valor);

        }

    }



    /** Setter for property Q022HT00_ID_OFI.

    * @param valor New value of propertyQ022HT00_ID_OFI.

    */

    public void setQ022HT00_ID_OFI(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022HT00_ID_OFI=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022HT00_ID_OFI(valor);

        }

    }



    public void setQ022HT00_ID_OFI(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022HT00_ID_OFI=valor;

        if (valor==null){

             this.Q022HT00_ID_OFI_MODIF=true;

        }

        }else{

           iTablaBDQ022KS00.setQ022HT00_ID_OFI(valor);

           if (valor==null){

                iTablaBDQ022KS00.setQ022HT00_ID_OFI_MODIF(true);

           }

        }

    }



    public void setQ022HT00_ID_OFI_WHERE(int valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022HT00_ID_OFI_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS00.setQ022HT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022HT00_ID_OFI_WHERE(Integer valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022HT00_ID_OFI_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022HT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022HT00_ID_OFI_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022HT00_ID_OFI_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022HT00_ID_OFI_MODIF(valor);

        }

    }



    /** Setter for property Q022YT00_NI_TIPO_CON.

    * @param valor New value of propertyQ022YT00_NI_TIPO_CON.

    */

    public void setQ022YT00_NI_TIPO_CON(long valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022YT00_NI_TIPO_CON=new Long(valor);

        }else{

           iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON(valor);

        }

    }



    public void setQ022YT00_NI_TIPO_CON(Long valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022YT00_NI_TIPO_CON=valor;

        if (valor==null){

             this.Q022YT00_NI_TIPO_CON_MODIF=true;

        }

        }else{

           iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON(valor);

           if (valor==null){

                iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON_MODIF(true);

           }

        }

    }



    public void setQ022YT00_NI_TIPO_CON_WHERE(long valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022YT00_NI_TIPO_CON_WHERE=new Long(valor);

        }else{

           iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_TIPO_CON_WHERE(Long valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022YT00_NI_TIPO_CON_WHERE=valor;

        }else{

           iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON_WHERE(valor);

        }

    }



    public void setQ022YT00_NI_TIPO_CON_MODIF(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.Q022YT00_NI_TIPO_CON_MODIF=valor;

        }else{

           iTablaBDQ022KS00.setQ022YT00_NI_TIPO_CON_MODIF(valor);

        }

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (long valor) {

             this.auditUser= new Long(valor);

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (Long valor) {

             this.auditUser= valor;

    }



    /** Getter for property Q022KT00_ID_CONT.

    * @return Value of property Q022KT00_ID_CONT.

    */

    public Integer getQ022KT00_ID_CONT() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_ID_CONT;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_ID_CONT();

        }

    }



    /** Getter for property Q022KT00_ID_CONT_WHERE.

    * @return Value of property Q022KT00_ID_CONT_WHERE.

    */

    public Integer getQ022KT00_ID_CONT_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_ID_CONT_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_ID_CONT_WHERE();

        }

    }



    /** Getter for property Q022KT00_PROV.

    * @return Value of property Q022KT00_PROV.

    */

    public String getQ022KT00_PROV() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_PROV;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_PROV();

        }

    }



    /** Getter for property Q022KT00_PROV_WHERE.

    * @return Value of property Q022KT00_PROV_WHERE.

    */

    public String getQ022KT00_PROV_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_PROV_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_PROV_WHERE();

        }

    }



    /** Getter for property Q022KT00_MUNI.

    * @return Value of property Q022KT00_MUNI.

    */

    public String getQ022KT00_MUNI() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_MUNI;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_MUNI();

        }

    }



    /** Getter for property Q022KT00_MUNI_WHERE.

    * @return Value of property Q022KT00_MUNI_WHERE.

    */

    public String getQ022KT00_MUNI_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_MUNI_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_MUNI_WHERE();

        }

    }



    /** Getter for property Q022KT00_ID_INF.

    * @return Value of property Q022KT00_ID_INF.

    */

    public Integer getQ022KT00_ID_INF() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_ID_INF;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_ID_INF();

        }

    }



    /** Getter for property Q022KT00_ID_INF_WHERE.

    * @return Value of property Q022KT00_ID_INF_WHERE.

    */

    public Integer getQ022KT00_ID_INF_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_ID_INF_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_ID_INF_WHERE();

        }

    }



    /** Getter for property Q022KT00_ID_AGEN.

    * @return Value of property Q022KT00_ID_AGEN.

    */

    public Integer getQ022KT00_ID_AGEN() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_ID_AGEN;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_ID_AGEN();

        }

    }



    /** Getter for property Q022KT00_ID_AGEN_WHERE.

    * @return Value of property Q022KT00_ID_AGEN_WHERE.

    */

    public Integer getQ022KT00_ID_AGEN_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_ID_AGEN_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_ID_AGEN_WHERE();

        }

    }



    /** Getter for property Q022KT00_FECC.

    * @return Value of property Q022KT00_FECC.

    */

    public java.util.Date getQ022KT00_FECC() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_FECC;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_FECC();

        }

    }



    /** Getter for property Q022KT00_FECC_WHERE.

    * @return Value of property Q022KT00_FECC_WHERE.

    */

    public java.util.Date getQ022KT00_FECC_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_FECC_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_FECC_WHERE();

        }

    }



    /** Getter for property Q022KT00_RCON.

    * @return Value of property Q022KT00_RCON.

    */

    public String getQ022KT00_RCON() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_RCON;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_RCON();

        }

    }



    /** Getter for property Q022KT00_RCON_WHERE.

    * @return Value of property Q022KT00_RCON_WHERE.

    */

    public String getQ022KT00_RCON_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_RCON_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_RCON_WHERE();

        }

    }



    /** Getter for property Q022KT00_FECR.

    * @return Value of property Q022KT00_FECR.

    */

    public java.util.Date getQ022KT00_FECR() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_FECR;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_FECR();

        }

    }



    /** Getter for property Q022KT00_FECR_WHERE.

    * @return Value of property Q022KT00_FECR_WHERE.

    */

    public java.util.Date getQ022KT00_FECR_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_FECR_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_FECR_WHERE();

        }

    }



    /** Getter for property Q022KT00_OBSHR.

    * @return Value of property Q022KT00_OBSHR.

    */

    public String getQ022KT00_OBSHR() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_OBSHR;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_OBSHR();

        }

    }



    /** Getter for property Q022KT00_OBSHR_WHERE.

    * @return Value of property Q022KT00_OBSHR_WHERE.

    */

    public String getQ022KT00_OBSHR_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022KT00_OBSHR_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022KT00_OBSHR_WHERE();

        }

    }



    /** Getter for property Q022HT00_ID_OFI.

    * @return Value of property Q022HT00_ID_OFI.

    */

    public Integer getQ022HT00_ID_OFI() {

        if (iTablaBDQ022KS00==null){

            return this.Q022HT00_ID_OFI;

        }else{

           return iTablaBDQ022KS00.getQ022HT00_ID_OFI();

        }

    }



    /** Getter for property Q022HT00_ID_OFI_WHERE.

    * @return Value of property Q022HT00_ID_OFI_WHERE.

    */

    public Integer getQ022HT00_ID_OFI_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022HT00_ID_OFI_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022HT00_ID_OFI_WHERE();

        }

    }



    /** Getter for property Q022YT00_NI_TIPO_CON.

    * @return Value of property Q022YT00_NI_TIPO_CON.

    */

    public Long getQ022YT00_NI_TIPO_CON() {

        if (iTablaBDQ022KS00==null){

            return this.Q022YT00_NI_TIPO_CON;

        }else{

           return iTablaBDQ022KS00.getQ022YT00_NI_TIPO_CON();

        }

    }



    /** Getter for property Q022YT00_NI_TIPO_CON_WHERE.

    * @return Value of property Q022YT00_NI_TIPO_CON_WHERE.

    */

    public Long getQ022YT00_NI_TIPO_CON_WHERE() {

        if (iTablaBDQ022KS00==null){

            return this.Q022YT00_NI_TIPO_CON_WHERE;

        }else{

           return iTablaBDQ022KS00.getQ022YT00_NI_TIPO_CON_WHERE();

        }

    }



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser () {

        return auditUser;

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022KS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022KS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022KS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022KS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022KS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022KS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022KS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022KS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022KS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022KS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022KS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022KS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022KS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022KS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022KS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022KS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022KS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022KS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022KS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022KS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022KS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022KS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022KS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022KS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022KS00==null){

           return this.connection;

        }else{

           return iTablaBDQ022KS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022KS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022KS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022KS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022KS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022KS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022KS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022KS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022KS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022KS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022KS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022KS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022KS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022KS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022KS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022KS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022KS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022KS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022KS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022KS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022KS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022KS00==null){

           this.max = valor;

        }else{

           iTablaBDQ022KS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022KS00==null){

           return this.max;

        }else{

           return iTablaBDQ022KS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022KS00==null){

           super.freeResources();

        }else{

           iTablaBDQ022KS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022KS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022KS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

